\name{chullpeel}
\alias{chullpeel}
\title{Convex peeling}
\usage{
chullpeel(X, qq = c(0.99, 0.9, 0.75, 0.5, 0.25, 0.1))
}
\arguments{
  \item{X}{a data.frame or matrix with two columns}

  \item{qq}{the quantiles required}
}
\value{
A list of sets of row indices, one for each quantile in
\code{qq}, showing the points on the boundary of the
approximate credible region.  See the example for how to
use these in plotting.
}
\description{
Approximate a set of 2-dimensional credible regions by
using convex peeling.
}
\examples{
foo <- matrix(rnorm(400), ncol = 2)
foo <- foo \%*\% matrix(c(1, 0, 1, 1), 2, 2)
cpeel <- chullpeel(foo, c(0.95, 0.75, 0.50))

plot(foo, type = "p", pch = 16, col = "darkgrey", asp = 1)
for (pts in cpeel)
  polygon(foo[pts, , drop=FALSE])
}

