\name{mydist}
\alias{mydist}
\title{Euclidean distances between the rows of two matrices}
\usage{
mydist(X, Y = NULL)
}
\arguments{
  \item{X}{Matrix of points (one point per row)}

  \item{Y}{Another matrix, same number of columns as
  \code{X}}
}
\value{
A matrix with \code{nx} rows and \code{ny} columns.
}
\description{
This is a variant on \code{\link{dist}}.  It only does
Euclidean distance, but it can take two sets of points (not
just one).  It always returns a distance matrix.
}
\examples{
foo <- matrix(rnorm(11*5), 11, 5)
mydist(foo)
mydist(foo[1:7, ], foo[8:11, ])
}
\seealso{
\code{\link{dist}}
}

